ConnectionMXBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Interface ConnectionMXBean

- All Known Implementing Classes:
    ConnectionBean

      public interface ConnectionMXBean

  This MBean represents a client connection.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAvgLatency()` Average latency in ms
    `String[]` | `getEphemeralNodes()`
    `String` | `getLastCxid()` Last cxid of this connection
    `long` | `getLastLatency()` Latency of last response to client on this connection in ms
    `String` | `getLastOperation()` Last operation performed by this connection
    `String` | `getLastResponseTime()` Last time server sent a response to client on this connection
    `String` | `getLastZxid()` Last zxid of this connection
    `long` | `getMaxLatency()` Max latency in ms
    `long` | `getMinLatency()` Min latency in ms
    `long` | `getOutstandingRequests()`
    `long` | `getPacketsReceived()`
    `long` | `getPacketsSent()`
    `String` | `getSessionId()`
    `int` | `getSessionTimeout()`
    `String` | `getSourceIP()`
    `String` | `getStartedTime()`
    `void` | `resetCounters()` Reset counters
    `void` | `terminateConnection()` Terminate thei client connection.
    `void` | `terminateSession()` Terminate this client session.

- - ### Method Detail

    - #### getSourceIP

          String getSourceIP()

      Returns:
        source (client) IP address

    - #### getSessionId

          String getSessionId()

      Returns:
        client's session id

    - #### getStartedTime

          String getStartedTime()

      Returns:
        time the connection was started

    - #### getEphemeralNodes

          String[] getEphemeralNodes()

      Returns:
        number of ephemeral nodes owned by this connection

    - #### getPacketsReceived

          long getPacketsReceived()

      Returns:
        packets received from this client

    - #### getPacketsSent

          long getPacketsSent()

      Returns:
        number of packets sent to this client

    - #### getOutstandingRequests

          long getOutstandingRequests()

      Returns:
        number of requets being processed

    - #### getSessionTimeout

          int getSessionTimeout()

      Returns:
        session timeout in ms

    - #### terminateSession

          void terminateSession()

      Terminate this client session. The client will reconnect with a different session id.

    - #### terminateConnection

          void terminateConnection()

      Terminate thei client connection. The client will immediately attempt to reconnect with the same session id.

    - #### getMinLatency

          long getMinLatency()

      Min latency in ms
      Since:
        3.3.0

    - #### getAvgLatency

          long getAvgLatency()

      Average latency in ms
      Since:
        3.3.0

    - #### getMaxLatency

          long getMaxLatency()

      Max latency in ms
      Since:
        3.3.0

    - #### getLastOperation

          String getLastOperation()

      Last operation performed by this connection
      Since:
        3.3.0

    - #### getLastCxid

          String getLastCxid()

      Last cxid of this connection
      Since:
        3.3.0

    - #### getLastZxid

          String getLastZxid()

      Last zxid of this connection
      Since:
        3.3.0

    - #### getLastResponseTime

          String getLastResponseTime()

      Last time server sent a response to client on this connection
      Since:
        3.3.0

    - #### getLastLatency

          long getLastLatency()

      Latency of last response to client on this connection in ms
      Since:
        3.3.0

    - #### resetCounters

          void resetCounters()

      Reset counters
      Since:
        3.3.0

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.